Page MenuHomePhabricator

Confusing annotation about mandatory fields in Special:UploadWizard
Closed, ResolvedPublic

Description

snapshot

The Upload Wizard gives confusion when trying to upload a pic. Some fields are marked mandatory with asterisk (Description) while some are not (Release rights, source and author in "This file is not my own work"). Later when the user clicks on next the fields are highlighted with red errors.
This is important because the natural tendency is to skip whatever is not marked with asterisk.

Also related bug, the error message for "Author" in "This file is not my own work" is shown only when the input box is selected and then left blank. This error message is not shown when the next button is clicked and the field is just highlighted with red.

If my words aren't clear see the attachment.


Version: master
Severity: normal

Attached:

Details

Reference
bz42775

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:52 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz42775.
bzimport added a subscriber: Unknown Object (MLST).

Might be partly fixed by https://gerrit.wikimedia.org/r/#/c/36572/ please verify.

Lupo added a comment.Dec 6 2012, 1:55 PM

(In reply to comment #1)

Might be partly fixed by https://gerrit.wikimedia.org/r/#/c/36572/ please
verify.

Yeah, I noticed, too, that sometimes both source and author fields are flagged as errors, and sometimes only source. That is unrelated to the Gerrit change, though; I got that also without this change.

We also need to clear the "This field is required" message after they click the final "Next" button.

bakert wrote:

Error behavior of required fields in Release Rights section of UploadWizard

Attached:

bakert wrote:

Error behavior of required fields in Describe section of UploadWizard

Attached:

bakert wrote:

(See the two "Error behavior of required fields ..." screenshots attached.)

The "Release Rights" and "Describe" sections are now separate steps in the UploadWizard. It is still true, however, that required fields are marked as such in the "Describe" section but *not* in the "Release Rights" section.

Part of the motivation for this might be that no field (apart from a radio button which has a default selected) is required until you actually change the default selection from "This file is my own work" to "This file is not my own work". However, the required fields are not revealed until you make that change so I think it would make sense for them to be marked in the same was as the required fields in the next step.

Related URL: https://gerrit.wikimedia.org/r/68948 (Gerrit Change I6c0274f9d10bd83d5916a475458b0cc88ddc81c2)

bakert wrote:

View of new Release Rights section with key

Does it look weird to show "* = This field is required." when no required fields are visible?

Attached:

bakert wrote:

This field is hard to mark as required despite being an input as it has no label

Attached:

bakert wrote:

New version of Release Rights section in https://gerrit.wikimedia.org/r/68948

Attached:

bakert wrote:

I've created a patch to fix up the base issue described in this ticket. As noted in the commit message there are still some inconsistencies here and some required fields that are not visually marked as required until you try to "Continue" but this does move the forms closer to consistency.

Thanks for your effort with the screenshots and the patch!

I think merging your change might lead to confusion among the users. Instead I would prefer to make a unanimous decision for this and then get it out in one merge.

bakert wrote:

Thanks for taking a look Nischay.

I'm happy to work further on this now I have a local checkout, etc. if there's consensus on what needs to be done.

The scope of this bug looks very unclear after all these comments, removing "easy" keyword. Bakert, are you able to continue working on this (there are some unanswered comments to your patch) or is your patch abandoned?

bakert wrote:

There was a UX review of this bug done by Jared Zimmerman <jared.zimmerman@wikimedia.org>. He said:

"You have great timing, we're currently working on a project to clean up forms throughout mediawiki. While the designs are still in-progress I'll share with your our ideas thus far about required fields.

In many places where complex forms exist there are more required fields than optional ones, so the pattern that we're using is that the primary action button is in a disabled state until all required fields are filled, and optional fields have helper text displaying that they are optional.

Additionally for some forms we're using in-line validation to help users confirm that the text entered conforms to the formats or content needed.

We are not however using the form validation simply as a "you've completed this step" indicator, as it could get very noisy very quickly.

Zero state
https://www.dropbox.com/s/1xyw2nq38umm9qx/Screen%20Shot%202013-06-20%20at%209.25.57%20AM.png

Partially filled and validated
https://www.dropbox.com/s/p419filfq1zt7cq/Screen%20Shot%202013-06-20%20at%209.26.54%20AM.png

error state
https://www.dropbox.com/s/t2en4yliahmnpkg/Screen%20Shot%202013-06-20%20at%209.27.04%20AM.png

In most cases not allowing the user to attempt to submit forms with missing information will keep them from ever getting into the form error state from the bug your working on."

This was in June 2013. So it seems that this patch is unwanted as it shores up what is fundamentally undesirable behavior. I'm afraid I haven't done any work on a better version as described above.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:40 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:40 PM
matmarex claimed this task.Nov 19 2015, 2:00 AM
matmarex added a subscriber: matmarex.

I think this gets definitely solved with T96917 and T118906.

matmarex closed this task as Resolved.Nov 21 2015, 11:27 AM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed a subscriber: wikibugs-l-list.